{ lib, config, pkgs, ...  }:

with lib;
let
  cfg = config.modules.desktop.gnome-keyring;
in {
  options.modules.desktop.gnome-keyring = {
    enable = mkEnableOption "Enable gnome-keyring, a password store";
  };

  config = mkIf cfg.enable {
    user.packages = with pkgs.gnome; [ seahorse ];
    
    services.gnome.gnome-keyring.enable = true;
  };
}
