{ lib, config, pkgs, ... }:

with lib;
let
  cfg = config.modules.desktop.sddm;
in {
  options.modules.desktop.sddm = {
    enable = mkEnableOption "Enable SDDM, a display manager for X11 and Wayland windowing systems";
  };

  config = mkIf cfg.enable {
    # unsure if it's correct to put this in `environment.systemPackages`
    environment.systemPackages = with pkgs; [
      config.modules.desktop.themes.sddmTheme.package
      config.modules.desktop.themes.cursorTheme.package
      libsForQt5.qt5.qtsvg
      libsForQt5.qt5.qtgraphicaleffects
      libsForQt5.qt5.qtquickcontrols2
    ];
    services.displayManager.sddm = {
      enable = true;
      wayland.enable = true; 
      theme = config.modules.desktop.themes.sddmTheme.name;
      settings = {
        Theme = {
          CursorTheme = config.modules.desktop.themes.cursorTheme.name;
        };
      };
    };
  };
}
